<html>
<head>
<title>OGRE: OgreBillboardSet.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreBillboardSet.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRadixSort_8h-source.html">OgreRadixSort.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>&quot;</code><br>

<p>
<a href="OgreBillboardSet_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardSet.html">Ogre::BillboardSet</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A collection of billboards (faces which are always facing the given direction) with the same (default) dimensions, material and which are fairly close proximity to each other.  <a href="classOgre_1_1BillboardSet.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html">Ogre::BillboardSet::SortByDirectionFunctor</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sort by direction functor.  <a href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html">Ogre::BillboardSet::SortByDistanceFunctor</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sort by distance functor.  <a href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardSetFactory.html">Ogre::BillboardSetFactory</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Factory object for creating <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a> instances.  <a href="classOgre_1_1BillboardSetFactory.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e">Ogre::BillboardOrigin</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e2f0d9a0c7a6232a62819ba5f8088ce41">Ogre::BBO_TOP_LEFT</a>, 
<a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5eec907934218991032b9b5f34a2d0d612">Ogre::BBO_TOP_CENTER</a>, 
<a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e183e54039d91c27835e5f7a066f8e485">Ogre::BBO_TOP_RIGHT</a>, 
<a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e306c93ed76b358c9d6aef5b6ff413857">Ogre::BBO_CENTER_LEFT</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5eb17acd1195e321856b4e5a91ccb300a4">Ogre::BBO_CENTER</a>, 
<a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e4456ff76b26ecc97f3c34c2c709cf47b">Ogre::BBO_CENTER_RIGHT</a>, 
<a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e6434f4b60d73ffb70c9ceefd1b5595dc">Ogre::BBO_BOTTOM_LEFT</a>, 
<a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e928ae6264de474f12e6e3ca00419ae2b">Ogre::BBO_BOTTOM_CENTER</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5eb67c73db2cf842dee641805c415901cb">Ogre::BBO_BOTTOM_RIGHT</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum covering what exactly a billboard's position means (center, top-left etc).  <a href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#4f3a37a5b62f0a2ddda53f789e736cbd">Ogre::BillboardRotationType</a> { <a class="el" href="namespaceOgre.html#4f3a37a5b62f0a2ddda53f789e736cbd6a7f6b74eba56f5035dab96d94b07cad">Ogre::BBR_VERTEX</a>, 
<a class="el" href="namespaceOgre.html#4f3a37a5b62f0a2ddda53f789e736cbdfc76d69a1ee25ad91871544eca2ca03f">Ogre::BBR_TEXCOORD</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The rotation type of billboard.  <a href="namespaceOgre.html#4f3a37a5b62f0a2ddda53f789e736cbd">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1c">Ogre::BillboardType</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1cafd0ef3ee3353703249e160930424b7d">Ogre::BBT_POINT</a>, 
<a class="el" href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1ccfc7dcc9adc26c7b19c0a7047ee5ec1b">Ogre::BBT_ORIENTED_COMMON</a>, 
<a class="el" href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1cbffcbe8d1e5e7d545d8f33762db75176">Ogre::BBT_ORIENTED_SELF</a>, 
<a class="el" href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1c9f88ba12ab6dd77447b73a0272147a4f">Ogre::BBT_PERPENDICULAR_COMMON</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1cb4c7cffc09bcc71b32cb6b4e5f758ee6">Ogre::BBT_PERPENDICULAR_SELF</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of billboard to use.  <a href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1c">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
